CAPNG_SAVE_STATE(3)

NAME
capng_save_state - get the internal library state

SYNOPSIS
#include <cap-ng.h>

void *capng_save_state(void);

DESCRIPTION

capng_save_state is a function that returns a pointer to the internal state of the libcap-ng library. It should be considered opaque and not for alteration directly. This function should be used when you suspect a third party library may use libcap-ng also and want to make sure it doesn't alter something important. This function is not available in the python bindings.

RETURN VALUE

This returns NULL on failure and a non-NULL pointer otherwise.

SEE ALSO

capng_restore_state(3), capabilities(7)

AUTHOR
Steve Grubb